Bug 523745 - setroubleshoot: SELinux is preventing /usr/bin/Xorg "execmem" access on <Unknown>.
Summary: setroubleshoot: SELinux is preventing /usr/bin/Xorg "execmem" access on ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:cf2b437d5d8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-16 14:47 UTC by STEVEN WARD
Modified: 2009-09-16 16:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-16 16:06:06 UTC


Attachments (Terms of Use)

Description STEVEN WARD 2009-09-16 14:47:35 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing /usr/bin/Xorg "execmem" access on <Unknown>.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by X. The current boolean settings do not allow
this access. If you have not setup X to require this access this may signal an
intrusion attempt. If you do intend this access you need to change the booleans
on this system to allow the access.

Allowing Access:

Confined processes can be configured to run requiring different access, SELinux
provides booleans to allow you to turn on/off access as needed. The boolean
allow_xserver_execmem is set incorrectly.
Boolean Description:
Allows XServer to execute writable memory


Fix Command:

# setsebool -P allow_xserver_execmem 1

Additional Information:

Source Context                system_u:system_r:xserver_t:s0-s0:c0.c1023
Target Context                system_u:system_r:xserver_t:s0-s0:c0.c1023
Target Objects                None [ process ]
Source                        X
Source Path                   /usr/bin/Xorg
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           xorg-x11-server-Xorg-1.6.99.901-1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.31-3.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   catchall_boolean
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31-12.fc12.i686 #1 SMP Mon Sep
                              14 02:27:06 EDT 2009 i686 athlon
Alert Count                   18
First Seen                    Sun 13 Sep 2009 10:28:08 PM BST
Last Seen                     Wed 16 Sep 2009 04:26:02 PM BST
Local ID                      e63ae0bb-68b8-4be0-a0ff-c3cac6bb9dd9
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1253114762.738:33): avc:  denied  { execmem } for  pid=1293 comm="X" scontext=system_u:system_r:xserver_t:s0-s0:c0.c1023 tcontext=system_u:system_r:xserver_t:s0-s0:c0.c1023 tclass=process

node=(removed) type=SYSCALL msg=audit(1253114762.738:33): arch=40000003 syscall=192 success=yes exit=35352576 a0=0 a1=a00000 a2=7 a3=22 items=0 ppid=1276 pid=1293 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=tty1 ses=4294967295 comm="X" exe="/usr/bin/Xorg" subj=system_u:system_r:xserver_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= xserver_t ==============
allow xserver_t self:process execmem;

Comment 1 Daniel Walsh 2009-09-16 16:06:06 UTC
Do what the plugin suggests.


Note You need to log in before you can comment on or make changes to this bug.